package com.atlassian.stash.internal.web.logging;

import com.atlassian.stash.internal.web.RestEntity;
import org.codehaus.jackson.annotate.JsonCreator;

public class RestProfiling extends RestEntity<RestProfiling> {
    private boolean enabled;

    public RestProfiling(boolean enabled) {
        this.enabled = enabled;
    }

    public boolean getEnabled() {
        return enabled;
    }

    @JsonCreator    // Only for Jackson
    private RestProfiling() {
    }
}
